import { ListenerLayer } from './listener.layes';
import { Page, Browser } from 'puppeteer';
import { CreateOptions } from '../../model/interface';
export declare class GroupLayer extends ListenerLayer {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    ev: any;
    constructor(page: Page, browser: Browser, options: CreateOptions, ev: any);
    /**
     * Creates a new chat group
     * @param groupName Group name
     * @param contacts Participants id '000000000000@c.us'
     */
    createGroup(groupName: string, contacts: string | string[]): Promise<any>;
    /**
     * Adds participant to Group
     * @param groupId Chat id ('0000000000-00000000@g.us')
     * @param contacts Participants id '000000000000@c.us'
     */
    addParticipant(groupId: string, contacts: string | string[]): Promise<any>;
}
